Package org.eclipse.zest.layouts

# Interface LayoutEntity

All Superinterfaces:
  `Comparable`, `LayoutItem`

All Known Subinterfaces:
  `NestedLayoutEntity`

All Known Implementing Classes:
  `InternalNode`

@Deprecated(since="2.0", forRemoval=true) public interface LayoutEntity extends Comparable, LayoutItem
Deprecated, for removal: This API element is subject to removal in a future version.
Use `NodeLayout` instead. This interface will be removed in a future release
This represents a single entity, providing the layout algorithms with a common interface to run on.

@noextend
  This interface is not intended to be extended by clients.
@noimplement
  This interface is not intended to be implemented by clients.
@noreference
  This interface is not intended to be referenced by clients..

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATTR_PREFERRED_HEIGHT`
Deprecated, for removal: This API element is subject to removal in a future version.
`static final String`
`ATTR_PREFERRED_WIDTH`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Summary

Modifier and Type
Method
Description
`double`
`getHeightInLayout()`
Deprecated, for removal: This API element is subject to removal in a future version.
`Object`
`getLayoutInformation()`
Deprecated, for removal: This API element is subject to removal in a future version.
`double`
`getWidthInLayout()`
Deprecated, for removal: This API element is subject to removal in a future version.
`double`
`getXInLayout()`
Deprecated, for removal: This API element is subject to removal in a future version.
`double`
`getYInLayout()`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`populateLayoutConstraint(LayoutConstraint constraint)`
Deprecated, for removal: This API element is subject to removal in a future version.
Classes should update the specified layout constraint if recognized
`void`
`setLayoutInformation(Object internalEntity)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`setLocationInLayout(double x, double y)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`setSizeInLayout(double width, double height)`
Deprecated, for removal: This API element is subject to removal in a future version.

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.zest.layouts.LayoutItem

`getGraphData, setGraphData`

## Field Details

### ATTR_PREFERRED_WIDTH

static final String ATTR_PREFERRED_WIDTH
Deprecated, for removal: This API element is subject to removal in a future version.

See Also:
  - Constant Field Values

### ATTR_PREFERRED_HEIGHT

static final String ATTR_PREFERRED_HEIGHT
Deprecated, for removal: This API element is subject to removal in a future version.

See Also:
  - Constant Field Values

## Method Details

### setLocationInLayout

void setLocationInLayout(double x, double y)
Deprecated, for removal: This API element is subject to removal in a future version.

### setSizeInLayout

void setSizeInLayout(double width, double height)
Deprecated, for removal: This API element is subject to removal in a future version.

### getXInLayout

double getXInLayout()
Deprecated, for removal: This API element is subject to removal in a future version.

### getYInLayout

double getYInLayout()
Deprecated, for removal: This API element is subject to removal in a future version.

### getWidthInLayout

double getWidthInLayout()
Deprecated, for removal: This API element is subject to removal in a future version.

### getHeightInLayout

double getHeightInLayout()
Deprecated, for removal: This API element is subject to removal in a future version.

### getLayoutInformation

Object getLayoutInformation()
Deprecated, for removal: This API element is subject to removal in a future version.

### setLayoutInformation

void setLayoutInformation(Object internalEntity)
Deprecated, for removal: This API element is subject to removal in a future version.

### populateLayoutConstraint

void populateLayoutConstraint(LayoutConstraint constraint)
Deprecated, for removal: This API element is subject to removal in a future version.
Classes should update the specified layout constraint if recognized